/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package salidasautomaticas.schedule;

import org.quartz.SchedulerFactory;
import org.quartz.impl.StdSchedulerFactory;

/**
 *
 * @author sistem19user
 */
public class Planificador {
    private static Planificador instance;
    private StdSchedulerFactory sf;
    
    private Planificador(){
        sf = new StdSchedulerFactory();
    }
    
    public static Planificador getInstance(){
        if(instance==null) instance = new Planificador();
        return instance;
    }
    
    public SchedulerFactory getSchedulerFactory(){
        return sf;
    }
}
